Merge branch 'python-fix-pr10227' into maint
[platform/upstream/automake.git] / defs
diff --git a/defs b/defs
index 143be66..586181e 100644 (file)
--- a/defs
+++ b/defs
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+# This file is here for backward-compatibility with the existing
+# tests still unconverted to the use of 'test-init.sh'.  It should
+# eventually be removed, once all the tests have been converted.
 
-# *** IMPORTANT NOTE ***
-# This file should execute correctly with any system's /bin/sh (which
-# might be just a Bourne shell, non POSIX-conforming, like on Solaris
-# up to version 11 at least).
-
-# Source the shell static setup and variable definitions.
-. ./defs-static
-test $? -eq 0 || exit 99
-
-# Make sure we run with the shell detected at configure time or forced
-# by the user (unless the user forbids it).  That is assumed to be a
-# proper POSIX shell.
-case ${AM_TESTS_REEXEC-yes} in
-  n|no|false|0)
-    ;;
-  *)
-    # Ensure we can find ourselves.
-    if test ! -f "$argv0"; then
-      echo "$me: unable to find myself: '$argv0'" >&2
-      exit 99
-    fi
-    AM_TESTS_REEXEC=no; export AM_TESTS_REEXEC
-    # Cannot simply do "opts=$-", since the content of $- is not
-    # portable among different shells.  So try to propagate only
-    # the portable and interesting options.
-    case $- in
-      *x*v*|*v*x) opts=-vx;;
-      *v*) opts=-v;;
-      *x*) opts=-x;;
-      *) opts=;;
-    esac
-    echo exec $AM_TEST_RUNNER_SHELL $opts "$argv0" "$*"
-    exec $AM_TEST_RUNNER_SHELL $opts "$argv0" ${1+"$@"}
-    # This should be dead code, unless some strange error happened. 
-    echo "$me: failed to re-execute with $AM_TEST_RUNNER_SHELL" >&2
-    exit 99
-    ;;
-esac
-
-# Source the actual test initialization and setup code, and return
-# control to the test script that is sourcing us.
-. "$am_testauxdir/test-init.sh"
+. test-init.sh